aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorDmitry Vyukov <dvyukov@google.com>2017-07-17 14:45:10 +0200
committerDmitry Vyukov <dvyukov@google.com>2017-07-17 14:45:41 +0200
commit7c1ee0634b4335bd7b31b2ef063fffbcfa3b6484 (patch)
tree44d5506995072502463d73035a3941bd9aaedab3 /tools
parent8382eb648fe51db07a0a20d413f61d4a46ab6131 (diff)
tools/create-gce-image.sh: ignore SIGINT
If the script is aborted at an unfortunate point, it leaves the whole system broken. E.g. we've seen that fdisk cannot update partition table until the next reboot. If you really need to kill it, use a different signal. But better wait.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/create-gce-image.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tools/create-gce-image.sh b/tools/create-gce-image.sh
index 184581563..f0845e96e 100755
--- a/tools/create-gce-image.sh
+++ b/tools/create-gce-image.sh
@@ -42,6 +42,11 @@
set -eux
+# If the script is aborted at an unfortunate point, it leaves the whole system broken.
+# E.g. we've seen that fdisk cannot update partition table until the next reboot.
+# If you really need to kill it, use a different signal. But better wait.
+trap "" SIGINT
+
if [ ! -e $1/sbin/init ]; then
echo "usage: create-gce-image.sh /dir/with/user/space/system /path/to/bzImage"
exit 1